curl --request GET \
--url https://qstash-{region}.upstash.io/v2/workflows/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://qstash-{region}.upstash.io/v2/workflows/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qstash-{region}.upstash.io/v2/workflows/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"runs": [
{
"workflowRunId": "<string>",
"workflowUrl": "<string>",
"workflowState": "<string>",
"workflowRunCreatedAt": 123,
"workflowRunCompletedAt": 123,
"workflowRunCallerIp": "<string>",
"steps": [
{
"steps": [
{
"stepId": 123,
"stepName": "<string>",
"stepType": "<string>",
"callType": "<string>",
"messageId": "<string>",
"state": "<string>",
"createdAt": 123,
"out": "<string>",
"callUrl": "<string>",
"callMethod": "<string>",
"callBody": "<string>",
"callHeaders": {},
"callResponseStatus": 123,
"callResponseBody": "<string>",
"callResponseHeaders": {},
"waitEventId": "<string>",
"waitTimeout": true,
"invokedWorkflowRunId": "<string>",
"invokedWorkflowUrl": "<string>",
"retries": 123,
"nextDeliveryTime": 123
}
],
"type": "parallel"
}
],
"workflowRunResponse": "<string>",
"invoker": {
"workflowRunId": "<string>",
"workflowUrl": "<string>",
"workflowRunCreatedAt": 123
},
"failureFunction": {
"messageId": "<string>",
"url": "<string>",
"state": "<string>",
"dlqId": "<string>",
"failHeaders": {},
"failStatus": 123,
"failResponse": "<string>",
"responseBody": "<string>",
"responseHeaders": {},
"responseStatus": 123,
"maxRetries": 123
},
"dlqId": "<string>",
"label": "<string>",
"labels": [
"<string>"
],
"flowControlKey": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}List Workflow Run Logs
Authorizations
QStash authentication token
Query Parameters
Pagination cursor for fetching the next page of results.
Filter by workflow URL (exact match). Must start with http:// or https://.
Filter by specific workflow run ID..
Filter by workflow creation timestamp in milliseconds (Unix timestamp).
Filter by multiple workflow runs. Provide a comma-separated list of workflowRunId@workflowCreatedAt pairs to query specific runs in a single request.
Example: workflowRuns=ID1@TS1,ID2@TS2
When this parameter is provided, all other filters are ignored.
Filter by workflow or step state. Common states include:
| Value | Description |
|---|---|
RUN_STARTED | The workflow has started to run and currently in progress. |
RUN_SUCCESS | The workflow run has completed succesfully. |
RUN_FAILED | Some errors has occured and workflow failed after all retries. |
RUN_CANCELED | The workflow run has canceled upon user request. |
STEP_SUCCESS | The step succesfully fnished. |
STEP_RETRY | The step is being retried. |
STEP_FAILED | The step is failed. |
STEP_PROGRESS | The step is in progress. |
STEP_CANCELED | The step is cancelled manually. |
Filter events from this date onwards in milliseconds (Unix timestamp). Inclusive.
Filter events up to this date in milliseconds (Unix timestamp). Inclusive.
Maximum number of results to return per page.
- Event mode: Max 1000 (default 1000)
- Run mode (groupBy=workflowRunId): Max 10 (default 10)
x <= 1000Trim request/response bodies to this many bytes. Use -1 to exclude bodies entirely. Useful for reducing response size when bodies are large.
Filter workflow run by label. Supports multi-value filtering. You can pass multiple values to match workflow runs with any of the given labels (OR logic).
Examples:
label=my_labellabel=label_1&label=label_2
Filter workflow run by the flow control key assigned by the user on trigger.
Filter workflow run by the callerIp that started to workflow run.
Was this page helpful?